* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
}

body {
    font-family: Arial, sans-serif;
    min-height: 100vh;
    margin: 0;
    color: #ffffff;
    background: black;
}

body.morning {background: linear-gradient(#FFDAB9,#87ceeb);}
body.day {background: linear-gradient(#4DA0FF,#87CEEB,#d3e9f2);}
body.evening {background: linear-gradient(#FF5F6D, #eb4fd1, #540f9d);}
body.night {background: linear-gradient(#050828,#131353);}

header {
    font-size: 16px;
    opacity: 0.8;
    padding: 0px 20px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    line-height: 1.8;
}

nav a {
    font-size: 18px;
    color: inherit;
    opacity: 0.8;
    transition: opacity 0.3s;
}

nav a:hover {
    opacity: 1;
}


.search-container {
    width: 700px;
    margin: -40px auto;
    display: flex;
}

.search-container input {
    text-align: center;
    width: 90%;
    padding: 10px 20px;
    border-radius: 30px;
    border: 1px solid rgba(255, 255, 255, 0.4);
    background: rgba(255, 255, 255, 0.1);
    backdrop-filter: blur(10px);
    color: white;
    font-size: 24px;
    outline: none;
}

input::placeholder {
  color: #fff;
  opacity: .5;
}

.errormessage {
    text-align: center;
    margin-top: 50px;
    font-size: 20px;
}

.hidden {
    visibility: hidden; 
}


.container {
    margin-top: 50px;
    display: flex;
    gap: 50px;
}

.container h1 {
    font-size: 70px;
}

.container h3 {
    font-size: 28px;
    opacity: .95;
}

.left-block {
    flex: 1;
    text-align: right;
}

.right-block {
    flex: 1;
    text-align: left;
}


.blocks-container {
    margin-top: 60px;
    width: 700px;
    display: grid;
    margin: 36px auto;
    grid-template-columns: 1fr 1fr;
    gap: 35px;
}

.glass-block, .glass-block2 {
    padding: 20px;
    border-radius: 20px;
    background: rgba(255, 255, 255, 0.1);
    backdrop-filter: blur(15px);
    border: 1px solid rgba(255, 255, 255, 0.2);
}

.glass-block2 {
    width: 80%;
}

.glass-block, .glass-block2 p {
    line-height: 1.5;
    font-size: 24px;
}

footer {
    text-align: center;
    padding: 0px;
    font-size: 14px;
    opacity: 0.1;
}

@media (max-width: 1000px) {
    .search-container {
        width: 500px;
    }
}

@media (max-width: 740px) {
    .search-container {
        margin: 5px auto;
    }

    .search-container input {
        width: 100%;
    }
}